Subject: Re: [PATCH] Fix `git fetch --tags` in repo with no configured remote

From: Junio C Hamano <[email-masked]>
Date: Fri, 06 Dec 2024 13:00:23 +0900

Junio C Hamano <[email-masked]> writes:

> And if we unconditionally add HEAD even when we do not need to,
> especially with the loss of the ref-prefixes condition that was
> there in order to implement "learn refs/tags/* hierarchy only when
> we are doing the default fetch", wouldn't it mean we may learn
> refs/tags/* even when we do not have to?

Micro-correction.  "We grab tags only when we are fetching something
else as well" is what I should have said.

The general direction my comment leads to does not change, though.
Because we ask for "HEAD" even when we do not need to, the
additional change this patch names to unconditionally add "refs/tags/"
would make us ask to list all the tags even when we do not need to
see them.

Thanks.